clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
clang::tidy::readability::IdentifierNamingCheck::NamingCheckFailure Struct Reference

Holds an identifier name check failure, tracking the kind of the identifer, its possible fixup and the starting locations of all the idenfiier usages. More...

`#include <IdentifierNamingCheck.h>`

Collaboration diagram for clang::tidy::readability::IdentifierNamingCheck::NamingCheckFailure:
[legend]

## Public Member Functions
| NamingCheckFailure ()

## Public Attributes
std::string | KindName
std::string | Fixup
bool | ShouldFix
| Whether the failure should be fixed or not. More...
llvm::DenseSet< unsigned > | RawUsageLocs
| A set of all the identifier usages starting SourceLocation, in their encoded form. More...

## Detailed Description

Holds an identifier name check failure, tracking the kind of the identifer, its possible fixup and the starting locations of all the idenfiier usages.

Definition at line 68 of file IdentifierNamingCheck.h.

## Constructor & Destructor Documentation

clang::tidy::readability::IdentifierNamingCheck::NamingCheckFailure::NamingCheckFailure | ( |  | ) |
| inline

Definition at line 82 of file IdentifierNamingCheck.h.

## Member Data Documentation

std::string clang::tidy::readability::IdentifierNamingCheck::NamingCheckFailure::Fixup

Definition at line 70 of file IdentifierNamingCheck.h.

Referenced by clang::tidy::readability::IdentifierNamingCheck::check(), and clang::tidy::readability::IdentifierNamingCheck::onEndOfTranslationUnit().

std::string clang::tidy::readability::IdentifierNamingCheck::NamingCheckFailure::KindName

Definition at line 69 of file IdentifierNamingCheck.h.

Referenced by clang::tidy::readability::IdentifierNamingCheck::check(), and clang::tidy::readability::IdentifierNamingCheck::onEndOfTranslationUnit().

llvm::DenseSet<unsigned> clang::tidy::readability::IdentifierNamingCheck::NamingCheckFailure::RawUsageLocs

A set of all the identifier usages starting SourceLocation, in their encoded form.

Definition at line 80 of file IdentifierNamingCheck.h.

Referenced by clang::tidy::readability::IdentifierNamingCheck::onEndOfTranslationUnit().

bool clang::tidy::readability::IdentifierNamingCheck::NamingCheckFailure::ShouldFix

Whether the failure should be fixed or not.

ie: if the identifier was used or declared within a macro we won't offer a fixup for safety reasons.

Definition at line 76 of file IdentifierNamingCheck.h.

Referenced by clang::tidy::readability::IdentifierNamingCheck::onEndOfTranslationUnit().

The documentation for this struct was generated from the following file:

- IdentifierNamingCheck.h